<?php
	// includes
	include('includes/inc_login.php');
	include('includes/inc_db_connect.php');
	include('includes/functions.php');
	include('includes/settings.php');
	
	if(!isset($_GET['sID']) or $_GET['sID'] == '' or !is_numeric($_GET['sID'])) {
		header("Location: " . DIR_ROOT . "index.php?message=error");
	} else {
		$sitemap_id = $_GET['sID'];
		$sitemap_name_data_query = getSitemapName($sitemap_id);
		$sitemap_name_data = mysql_fetch_array($sitemap_name_data_query);
		$sitemap_name = $sitemap_name_data['sitemap_name'];
	}
	if(isset($_POST['generate']) and $_POST['generate'] == '1') {
		if($_POST['art'] != '') {
			switch($_POST['art']) {
				case 'self':
					// get the generated source code of the specific sitemap
					$source = generateSitemapSource($sitemap_id, $_POST['layout']);
					// print ou generated source (browser interprets as normal html)
					echo 	$source;
					
					echo "<!-- End of generated Source Code -->\n";
					echo '<a class="backLink" style="clear:both; display:block; margin-top:20px;" href="generate_sitemap.php?sID=' . $sitemap_id . '">&laquo;&nbsp;Zur&uuml;ck</a>' . "\n";
				break;
				case 'source':
					// get the generated source code of the specific sitemap
					$source = generateSitemapSource($sitemap_id, $_POST['layout'], $_POST['style']);
					
					// prepare source code output (browser does not interpret html code)
					$source = str_replace("<", "&lt;", $source);
					$source = str_replace(">", "&gt;", $source);
					echo '<pre>';
					echo 	$source;
					echo '</pre>';
					
				break;
				case 'file':
					// get the generated file of the specific sitemap
					$source = generateSitemapSource($sitemap_id, $_POST['layout'], $_POST['style']);
					
					// Prepare File 
					$date = date('YmdHis');
					$filename = 'sitemap_' . $date . '.html';
					
					// make File downloadable
					header('Pragma: private');
					header('Cache-control: private, must-revalidate');
					header("Content-type: application/xhtml+xml");
					header('Content-Disposition: attachment; filename=' . $filename);
					header('Content-Description: Sitemap');
					header('Expires: 0');
					print $source;
					
				break;
			}
		} else {
			$error = true;
		}
	}
	if(!isset($_POST['generate']) or $error == true) {
?>
		<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
		<html>
			<head>
				<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
				<title>Sitemap Generator</title>
				<link rel="stylesheet" type="text/css" href="includes/sitemap_styles.css" />
				<script language="javascript" type="text/javascript" src="includes/sitemap_functions.js"></script>
			</head>
			<body>
				<center>
					<div class="container">
			<?php
						if($error == true) {
							echo '<p class="errorMessage">Sie m&uuml;ssen eine Art der Generierung festlegen.</p>';
						}
			?>
						<h1 class="pageTitle">Sitemap Generator</h1>
						<h2 class="subTitle">Art der Generierung - <?php echo '<i>' . $sitemap_name . '</i>'; ?></h2>
						<span class="normalText">Beachten Sie, dass die Expand/Collapse - Funktionalit&auml;t nur funktioniert, wenn das sich das JavaScript File <i>sitemap_functions_final.js</i> im richtigen Verzeichnis (<i>includes</i>) befindet.<br />
                        Ebenso sollte sich das CSS-Sytelsheet <i>sitemap_styles_final.css</i> (falls gew&uuml;schnt) im selben Ordner befinden. Nat&uuml;rlich k&ouml;nnen Sie auch Ihre eigenen CSS-Styles verwenden!</span>
                        <a class="backLink" href="sitemap_list.php?sID=<?php echo $sitemap_id; ?>">&laquo;&nbsp;Zur&uuml;ck</a>
						
						<form name="generateForm" method="post" action="generate_sitemap.php?sID=<?php echo $sitemap_id ?>" enctype="multipart/form-data">
							<span class="normalText">Bitte legen Sie das Standard Layout fest:</span>
							<span class="normalText" style="margin-bottom:20px;">
								<input type="radio" name="layout" value="collapsed" checked="checked" />&nbsp;Collapsed&nbsp;&nbsp;
								<input type="radio" name="layout" value="expanded" />&nbsp;Expanded
							</span>
							<span class="normalText">Bitte w&auml;hlen Sie die Art der Generierung.</span>
							<select name="art" size="1" style="width:200px; float:left;">
								<option value="">bitte w&auml;hlen</option>
								<option value="source">HTML Source Code</option>
								<option value="file">HTML Datei</option>
								<option value="self">Anzeige im aktuellen Fenster</option>
							</select>
							<input class="submit" type="submit" name="submit" value="Generieren" />
							<input type="hidden" name="generate" value="1" />
						</form>
						<span class="spacer"></span>
					</div>
				</center>
			</body>
		</html>
<?php
	}
?>